Ozone on Linux does not start

This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

  • Ozone on Linux does not start

    Hi All,

    after upgrading Ozone from 2.32 to 2.40 ist does not start anymore (Linux Mint 18.1 64bit).

    The console shows the following error:
    Cannot mix incompatible Qt library (version 0x40807) with this library (version 0x40806)

    Ozone V2.32 worked on this system.

    Is there something I can do about this?
    Downgrading doesn't work, because I don't know how to remove the V2.40 before installing V2.32 again.

    Any help is appreciated.

    Thanks in advance, Martin
  • Hi Martin,


    could you please provide us with the output of ldd Ozone and the J-Link library
    (e.g. ldd -v /org/SEGGER/$PATH/libjlinkarm.so)
    Could you also check the version of each qt lib listed?
    Sounds to me as if only some libs were updated to 4.8.7 and some are still 4.8.6

    Best regards,
    Niklas
    Would you like to be added to the J-Link software update notification list, so you get informed automatically when a new version becomes available?
    Just write me a PM or in case you want to subscribe to it yourself, please use this link: Link
    Notification for J-Link, J-Link Debugger, SystemView & J-Scope: Link
    Notification for Embedded Studio: Link
  • Hi Niklas,
    thanks for the quick response.

    Here is the output of ldd -v /opt/Segger/ozone/2..40.2/ozone:
    See attachement Ozone-log.txt

    Here is the output of ldd -v /opt/Segger/Jlink/libjlinkarm.so:
    See attachement JLink-log.txt

    ldconfig -v | grep libQtGui.so.4
    returns the following:
    libQtGui.so.4 -> libQtGui.so.4.8.7
    libQtGui.so.4 -> libQtGui.so.4.8.7

    ldconfig -v | grep libQtCore.so.4
    returns the following:
    libQtCore.so.4 -> libQtCore.so.4.8.7
    libQtCore.so.4 -> libQtCore.so.4.8.7

    Let me know, if you need more information.

    Best regards,
    Martin
    Files
    • Ozone-log.txt

      (12.17 kB, downloaded 168 times, last: )
    • JLink-log.txt

      (3.36 kB, downloaded 199 times, last: )
  • Hi Martin,


    sorry for the delay in response.
    Could you please open a ticket by writing a mail to the address I will send you via PM?

    Please include
    - a short summary of the issue
    - a link to his thread
    - the S/N of your J-Link Pro

    This will make sure that your are added to the queue of pending Ozone issues.


    Best regards,
    Niklas
    Would you like to be added to the J-Link software update notification list, so you get informed automatically when a new version becomes available?
    Just write me a PM or in case you want to subscribe to it yourself, please use this link: Link
    Notification for J-Link, J-Link Debugger, SystemView & J-Scope: Link
    Notification for Embedded Studio: Link
  • Hi Martin,



    they found the issue, it will be fixed in version 2.40d of Ozone.
    As an alternative, it should work with version 2.40c after you deleted the following symlinks:
    - Ozone/Lib/libQtGui.so.4
    - Ozone/Lib/libQtCore.so.4


    Best regards,
    Niklas
    Would you like to be added to the J-Link software update notification list, so you get informed automatically when a new version becomes available?
    Just write me a PM or in case you want to subscribe to it yourself, please use this link: Link
    Notification for J-Link, J-Link Debugger, SystemView & J-Scope: Link
    Notification for Embedded Studio: Link
  • Hi Martin,


    thanks for the update!


    Best regards,
    Niklas
    Would you like to be added to the J-Link software update notification list, so you get informed automatically when a new version becomes available?
    Just write me a PM or in case you want to subscribe to it yourself, please use this link: Link
    Notification for J-Link, J-Link Debugger, SystemView & J-Scope: Link
    Notification for Embedded Studio: Link
  • Hi Niklas,
    they found the issue, it will be fixed in version 2.40d of Ozone.
    Unfortunately, I cannot confirm this:
    Today I updated Ozone to version 2.40.4 by first uninstalling version 2.40.3 and then installing 2.40.4.
    I got the same library error again.

    I still had to manually delete the symlinks to get Ozone starting.

    Best regards,
    Martn
  • for some (strange!) reasons, the ozone deb packages include a copy of some (outdated) qt libraries at version 4.8.6.
    until these libs get omitted in the packaging process and the dependency get fixed to depend on system libs, you have to remove them manually after installing the deb...

    Source Code

    1. rm -Rf /opt/SEGGER/ozone/*/Lib/libQt*